varying float height, air;
varying vec2 TexCoord0;

uniform vec4 Eng_WaterDeepColor;

void main()
{
	if (air > 0.0)
  		discard;
	else
		gl_FragColor = mix(vec4(1.0, 1.0, 1.0, 0.5), Eng_WaterDeepColor, min(1.5, height) / 1.5);
}
